# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html
before_script:
  - curl --silent --location https://rpm.nodesource.com/setup_8.x | bash -
  - yum -y install nodejs
  - npm install -g typescript
  - npm install --save @types/jquery

pages:
  stage: deploy
  script:
  - mkdir .public
  - tsc --target es2017 LoadFile.ts || true
  - cp -r * .public
  - mv .public public
  artifacts:
    paths:
    - public
  only:
  - master
